| #!/bin/bash |
| |
| # |
| # Copyright (C) 2012 The Android Open Source Project |
| # |
| # Licensed under the Apache License, Version 2.0 (the "License"); |
| # you may not use this file except in compliance with the License. |
| # You may obtain a copy of the License at |
| # |
| # http://www.apache.org/licenses/LICENSE-2.0 |
| # |
| # Unless required by applicable law or agreed to in writing, software |
| # distributed under the License is distributed on an "AS IS" BASIS, |
| # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| # See the License for the specific language governing permissions and |
| # limitations under the License. |
| # |
| |
| # |
| # Sanity check the XML parser by making sure it's generating the same data |
| # as the original parsed data. |
| # |
| |
| tidy=$(which tidy) |
| if [[ $? -ne 0 ]] |
| then |
| echo "Missing tidy binary, please install with 'sudo apt-get install tidy'" 1>&2 |
| exit 1 |
| fi |
| |
| thisdir=$(dirname $(readlink -f $0)) |
| |
| tmp_out=$(mktemp) |
| tmp_tidy1=$(mktemp) |
| tmp_tidy2=$(mktemp) |
| |
| $thisdir/metadata_parser_xml.py $thisdir/metadata_properties.xml $thisdir/metadata_template.mako > $tmp_out || exit 1 |
| tidy -indent -xml -quiet $thisdir/metadata_properties.xml > $tmp_tidy1 |
| tidy -indent -xml -quiet $tmp_out > $tmp_tidy2 |
| |
| diff $tmp_tidy1 $tmp_tidy2 |
| exit_code=$? |
| rm $tmp_out $tmp_tidy1 $tmp_tidy2 |
| |
| if [[ $exit_code -ne 0 ]] |
| then |
| echo "ERROR: Files differ, please check parser logic" 1>&2 |
| else |
| echo "SUCCESS: Files are the same!" 1>&2 |
| fi |
| |
| exit $exit_code |